diff --git a/scripts/create_sig.sh b/scripts/create_sig.sh
index ec224b4..53db8df 100755
--- a/scripts/create_sig.sh
+++ b/scripts/create_sig.sh
@@ -127,7 +127,7 @@ do
 	do
 		echo " -> Checking $SIG config..."
 		$KOJI add-user $SIG &> /dev/null
-		[ $? -eq 0 ] && echo "Creating user : ${SIG}"
+		[ $? -eq 0 ] && echo "Creating user : ${SIG}" && $KOJI grant-permission --new build-${SIG} $SIG
 		SIGNAME="${SIG}"
 		SIG="${SIG}${DIST}"
 		for PROJECT in $PROJECTS